unit rdlg_baseform;

{<
  rBaseDlg contains base form used as ancestor for all others dialog.

  @author(Rosinsky Software - <http://www.rosinsky.cz/delphi>)
  @created(March 2011)
  @lastmod(Apr 2017)
}

interface

{$INCLUDE _rosi.inc}

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ImgList, rImprovedComps, StdCtrls, ExtCtrls, PropSaveMain;

type
  { base form used as ancestor for all others dialog }
  TrDlgBaseForm = class(TForm)
    ImgDlgEna: TrImageListEx;
    ImgZoomEna: TrImageListEx;
    pBottom: TPanel;
    pBottomRight: TPanel;
    btOk: TrButton;
    btCancel: TrButton;
    DlgPropSave: TPropSaveMain;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
  public
  end;

var
  rDlgBaseForm: TrDlgBaseForm;

implementation

{$R *.dfm}

uses RosiCompGlobalCfg, rdlg, rtool;

procedure TrDlgBaseForm.FormCreate(Sender: TObject);
begin
  Font.Name:=RosiCompConfig.rDBToolCfg.rDlg_DefaultFont;
  Font.Size:=RosiCompConfig.rDBToolCfg.rDlg_DefaultSize;
  rtool.DPI_SetFontHeight(Font);
end;

procedure TrDlgBaseForm.FormShow(Sender: TObject);
begin
  RosiCompConfig.DoRosiCompGeneralEventSimple(Self, rDBForms_FormShowEventID);
end;

procedure TrDlgBaseForm.FormActivate(Sender: TObject);
begin
  RosiCompConfig.DoRosiCompGeneralEventSimple(Self, rDBForms_FormActivateEventID);
end;

procedure TrDlgBaseForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  RosiCompConfig.DoRosiCompGeneralEventSimple(Self, rDBForms_FormCloseEventID);
end;

end.
